## ros-humble-moveit-ros-control-interface 2.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_ros_control_interface)

find_package(ament_cmake REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
    rclcpp_action
    controller_manager_msgs
    moveit_core
    moveit_simple_controller_manager
    pluginlib
    trajectory_msgs
)

foreach(dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${dependency} REQUIRED)
endforeach()

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# Finds Boost Components
include(ConfigExtras.cmake)

add_library(${PROJECT_NAME}_plugin SHARED
  src/controller_manager_plugin.cpp
)
set_target_properties(${PROJECT_NAME}_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_include_directories(${PROJECT_NAME}_plugin PRIVATE include)
ament_target_dependencies(${PROJECT_NAME}_plugin
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

add_library(${PROJECT_NAME}_trajectory_plugin SHARED
  src/joint_trajectory_controller_plugin.cpp
)
set_target_properties(${PROJECT_NAME}_trajectory_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_include_directories(${PROJECT_NAME}_trajectory_plugin PRIVATE include)
ament_target_dependencies(${PROJECT_NAME}_trajectory_plugin
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

add_library(${PROJECT_NAME}_gripper_plugin SHARED
  src/gripper_controller_plugin.cpp
)
set_target_properties(${PROJECT_NAME}_gripper_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_include_directories(${PROJECT_NAME}_gripper_plugin PRIVATE include)
ament_target_dependencies(${PROJECT_NAME}_gripper_plugin
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

add_library(${PROJECT_NAME}_empty_plugin SHARED
  src/empty_controller_plugin.cpp
)
set_target_properties(${PROJECT_NAME}_empty_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_include_directories(${PROJECT_NAME}_empty_plugin PRIVATE include)
ament_target_dependencies(${PROJECT_NAME}_empty_plugin
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}_plugin ${PROJECT_NAME}_trajectory_plugin ${PROJECT_NAME}_gripper_plugin ${PROJECT_NAME}_empty_plugin
EXPORT export_${PROJECT_NAME}
ARCHIVE DESTINATION lib
LIBRARY DESTINATION lib
RUNTIME DESTINATION bin
INCLUDES DESTINATION include
)

## Mark cpp header files for installation
install(DIRECTORY include/
  DESTINATION include
)

pluginlib_export_plugin_description_file(moveit_core moveit_core_plugins.xml)
pluginlib_export_plugin_description_file(moveit_ros_control_interface moveit_ros_control_interface_plugins.xml)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== debian/changelog ===
ros-humble-moveit-ros-control-interface (2.5.5-2bookworm) bookworm; urgency=high

  * Fix parameters for ros2_control namespaces (#1833 <https://github.com/ros-planning/moveit2/issues/1833>) (#1897 <https://github.com/ros-planning/moveit2/issues/1897>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    (cherry picked from commit 5838ce890975e3a058cdc9ab699b27941374c3a2)
    Co-authored-by: Pablo Iñigo Blasco <mailto:pablo.inigo.blasco@gmail.com>
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 16:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.4-2bookworm) bookworm; urgency=high

  * Rename MoveItControllerManager. Add deprecation warning (#1601 <https://github.com/ros-planning/moveit2/issues/1601>) (#1666 <https://github.com/ros-planning/moveit2/issues/1666>)
    (cherry picked from commit b050890a2632a723dd95c08542ef6ed57d77fb06)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Support chained controllers (backport #1482 <https://github.com/ros-planning/moveit2/issues/1482>) (#1623 <https://github.com/ros-planning/moveit2/issues/1623>)
    (cherry picked from commit 3db960a4b3b1e1d25630867a62ea1182bac2e96a)
    Co-authored-by: Paul Gesel <mailto:paulgesel@gmail.com>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 03 Nov 2022 16:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.3-2bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 16:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.2-2bookworm) bookworm; urgency=high

  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Contributors: Jafar

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 16:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.1-2bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 16:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.0-2bookworm) bookworm; urgency=high

  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * 1.1.9
  * 1.1.8
  * 1.1.7
  * 1.1.6
  * Contributors: Jafar, Robert Haschke, jeoseo

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 25 May 2022 16:00:00 -0000

ros-humble-moveit-ros-control-interface (2.4.0-2bookworm) bookworm; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Jan 2022 16:00:00 -0000

ros-humble-moveit-ros-control-interface (2.3.2-2bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 28 Dec 2021 16:00:00 -0000

ros-humble-moveit-ros-control-interface (2.3.1-2bookworm) bookworm; urgency=high

  * Fix installation of moveit_ros_control_interface header files (#789 <https://github.com/ros-planning/moveit2/issues/789>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Update controller_manager_plugin to fix MoveIt-managed controller switching (#785 <https://github.com/ros-planning/moveit2/issues/785>)
  * moveit_ros_control_interface: Small comment cleanup (#754 <https://github.com/ros-planning/moveit2/issues/754>)
  * Contributors: AndyZe, Dave Coleman, Henning Kayser, Joseph Schornak, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Dec 2021 16:00:00 -0000

ros-humble-moveit-ros-control-interface (2.3.0-2bookworm) bookworm; urgency=high

  * moveit_ros_control_interface: Fix dangling reference (#710 <https://github.com/ros-planning/moveit2/issues/710>)
  * Port moveit ros control interface to ROS2 (#545 <https://github.com/ros-planning/moveit2/issues/545>)
    * Port moveit_ros_control_interface to ROS2
    * Multiple fixes to trajectory_execution_manager
  * Fix reversed check in switchControllers (#2726 <https://github.com/ros-planning/moveit2/issues/2726>)
  * Contributors: Jafar Abdi, Nathan Brooks, Joe Schornak, Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 07 Oct 2021 16:00:00 -0000

ros-humble-moveit-ros-control-interface (2.2.1-2bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 11 Jul 2021 16:00:00 -0000

ros-humble-moveit-ros-control-interface (1.1.1-2bookworm) bookworm; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Oct 2020 16:00:00 -0000

ros-humble-moveit-ros-control-interface (1.1.0-2bookworm) bookworm; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Remove support for Indigo's ros_control (#2128 <https://github.com/ros-planning/moveit/issues/2128>)
  * [feature] Add support for pos_vel_controllers and pos_vel_acc_controllers (#1806 <https://github.com/ros-planning/moveit/issues/1806>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)


=== debian/control ===
Source: ros-humble-moveit-ros-control-interface
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-controller-manager-msgs, ros-humble-moveit-common, ros-humble-moveit-core, ros-humble-moveit-simple-controller-manager, ros-humble-pluginlib (>= 1.11.2), ros-humble-rclcpp-action, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-moveit-ros-control-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-controller-manager-msgs, ros-humble-moveit-common, ros-humble-moveit-core, ros-humble-moveit-simple-controller-manager, ros-humble-pluginlib (>= 1.11.2), ros-humble-rclcpp-action, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Description: ros_control controller manager interface for MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-ros-control-interface//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-moveit-ros-control-interface//opt/ros/humble/opt/moveit_ros_control_interface/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
